[Homescreen] On fresh full flash, 'Smart Collection' icons may have a different UI location

RESOLVED WONTFIX

Status

Firefox OS
Gaia::Homescreen
RESOLVED WONTFIX
3 years ago
2 years ago

People

(Reporter: oliverthor, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.1 affected, b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [3.0-Daily-Testing], [systemsfe])

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8594927 [details]
homescreen_different_icon_locations.png

Description:
When a user flashes their phone, they may observe the the 'Smart Collection' icons that are standard on flash [Social, Music, Games] may display in a different location then their default location.


Repro Steps:
1) Flash a Flame to 20150420010204
2) Complete FTU
3) Observe homescreen icon locations

Actual:
'Smart Collections' are positioned in top group in different order
Top: Games, Music, Social
Middle:	Phone, Messages, Contacts, Browser, Marketplace, Camera
Bottom: Gallery, Music, Video, FM Radio, Settings, Clock, E-Mail, Calendar, Usage

Expected:
'Smart Collections' are positioned in a middle group between telephony (above) and other apps (below)
Top:	Phone, Messages, Contacts, Browser, Marketplace, Camera
Middle: Social, Games, Music
Bottom: Gallery, Music, Video, FM Radio, Settings, Clock, E-Mail, Calendar, Usage

Notes:
** have also observed on one occasion the icons splitting into two groups (4 total now on homescreen) with 'Social' at the top, and 'Games' and 'Music' in a third group between Phone-Camera in a single group and Gallery-Usage in the bottom group


Environmental Variables:
Device: Flame 3.0
Build ID: 20150420010204
Gaia: cb41d8421da5dc4f16ea566ea2917a9b7f828154
Gecko: 50b95032152c
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 40.0a1 (3.0)
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:40.0) Gecko/40.0 Firefox/40.0


Repro frequency: 1/20
See attached: 
screenshot
(Reporter)

Updated

3 years ago
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(pbylenga)
Whiteboard: [3.0-Daily-Testing] → [3.0-Daily-Testing], [systemsfe]
I have additionally seen this issue occur a couple times after resetting a device from "Setting > Device Information > Reset Phone"
QAWanted to see if 2.2 is affected, repro rate is too low to try for a window.

NI on component owner for nomination decision and assignment.
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(pbylenga) → needinfo?(hcheng)
Keywords: qawanted
I can repro this bug on today's Flame v2.2 by the following steps.

Please see attachment:2015-04-21-10-53-14.png
Rate:1/5

Repro STR:
1.Full flash build (20150420002502).
2.Skip FTU.
3.Check the locations of app and smart collection icons.
**Result:
"Smart Collections" are positioned in top group in different order.
Top:     Music,Games, Social.
Middle:	 Phone, Messages, Contacts, Browser, Marketplace, Camera.
Bottom:  Gallery, Music, Video, FM Radio, Settings, Clock, E-Mail, Calendar, Usage.

--------------------------------------------------------------------------------------
Device: Flame 2.2 build(Affected)
Build ID               20150420002502
Gaia Revision          c15a2b6d3a783813959c2b3bffd2a131f4270b9e
Gaia Date              2015-04-17 17:49:32
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/cc02ee38b252
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.041634
Firmware Date          Mon Apr 20 04:16:45 EDT 2015
Bootloader             L1TC000118D0
status-b2g-v2.2: --- → affected
Keywords: qawanted
It might be a build problem. Kevin, do you see this issue before?
Flags: needinfo?(hcheng) → needinfo?(kgrandon)
Created attachment 8595109 [details]
2015-04-21-10-53-14.png
Adding qawanted - do we see this on 2.1? Possibly a regression?
status-b2g-v2.1: --- → ?
Flags: needinfo?(kgrandon)
Keywords: qawanted
I try to repro this bug on Flame v2.1 build,but I am unable to repro it (Rate:0/10),three smart collections are positioned in middle group in correct order.


Device: Flame 2.1 build(Unaffected)
Build ID               20150420001205
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/b85d4f4a6d61
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.035930
Firmware Date          Mon Apr 20 03:59:40 EDT 2015
Bootloader             L1TC000118D0
(In reply to Shally from comment #7)
> I try to repro this bug on Flame v2.1 build,but I am unable to repro it
> (Rate:0/10),three smart collections are positioned in middle group in

This sounds like a regression. It could be in either  FTU, system, or home screen code. Is it possible to get a regression window here?
status-b2g-v2.1: ? → unaffected
Keywords: qawanted → regression, regressionwindow-wanted
QA Whiteboard: [MGSEI-Triage+]
No, the reproduction rate is too low to get an accurate window. I tried to test this yesterday and I got 0 out of 25 attempts on v2.2. Even though I know this bug has been occurring for a long time. I wouldn't be so sure that this doesn't happen on v2.1 either.
QA Whiteboard: [MGSEI-Triage+] → [MGSEI-Triage+][QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Keywords: regressionwindow-wanted
QA Whiteboard: [MGSEI-Triage+][QAnalyst-Triage?] → [MGSEI-Triage+][QAnalyst-Triage+]
Flags: needinfo?(ktucker)
I just happened to see this issue reproduce on a freshly full flashed v2.1. Removing regression keyword.

Device: Flame 2.1 (full flashed 319MB KK)
BuildID: 20150427001201
Gaia: bbe983b4e8bebfec26b3726b79568a22d667223c
Gecko: 82a14be0462c
Gonk: ebad7da532429a6f5efadc00bf6ad8a41288a429
Version: 34.0 (2.1) 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0
status-b2g-v2.1: unaffected → affected
Keywords: regression
Mass update: Resolve wontfix all issues with legacy homescreens.

As of 2.6 we have a new homescreen and having these issues open is confusing. All issues will block bug 1231115 so we can use that to re-visit any of these if needed.
Blocks: 1231115
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.